# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=util-linux
pkgver=2.38
pkgrel=1
pkgdesc="Miscellaneous system utilities for Linux"
arch=('x86_64')
url="https://github.com/karelzak/util-linux"
license=('GPL2')
groups=('base')
depends=('glibc' 'libcap' 'ncurses' 'readline' 'zlib')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils'
    'findutils' 'gawk' 'gcc' 'gettext' 'grep' 'make' 'sed')
source=(https://www.kernel.org/pub/linux/utils/util-linux/v${pkgver}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(6d111cbe4d55b336db2f1fbeffbc65b89908704c01136371d32aa9bec373eb64)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}             \
        ADJTIME_PATH=/var/lib/hwclock/adjtime   \
        --bindir=/usr/bin    \
        --sbindir=/usr/sbin  \
        --disable-chfn-chsh  \
        --disable-login      \
        --disable-nologin    \
        --disable-su         \
        --disable-setpriv    \
        --disable-runuser    \
        --disable-pylibmount \
        --disable-static     \
        --without-python     \

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    install -vdm755 ${pkgdir}/var/lib/hwclock
}
